Bug 9762 - startup failure after upgrade
: startup failure after upgrade
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/tkabber)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-07-07 12:33 by
Modified: 2006-08-29 21:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-07-07 12:33:57
После обновления с 0.9.8-alt1 до 0.9.9-alt1 tkabber не запускается:

$ tkabber 
Error in startup script: can't find package puretclparser
    while executing
"package require puretclparser"
    (file "/usr/share/tkabber/jabberlib-tclxml/jabberlib.tcl" line 68)
    invoked from within
"source /usr/share/tkabber/jabberlib-tclxml/jabberlib.tcl"
    ("package ifneeded" script)
    invoked from within
"package require jabberlib 0.8.4"
    (file "/usr/share/tkabber/tkabber.tcl" line 178)
    invoked from within
"source /usr/share/tkabber/tkabber.tcl"
    (file "/usr/bin/tkabber" line 5)
------- Comment #1 From 2006-07-07 12:36:55 -------
При установленном пакете tcl-xml-core tkabber всё-таки запускается, однако в
зависимостях этого пакета нет.
------- Comment #2 From 2006-07-07 13:27:00 -------
неподходящая среда сборки.
------- Comment #3 From 2006-07-13 18:16:19 -------
Действительно, среда сборки неподходящая - в пакете начисто отсутствуют
BuildRequires, поэтому автоматический поиск зависимостей на tcl-пакеты просто
не
работает:

Requires: sh, tk

(при сборке что на i586, что на x86_64)

buildreq нашёл следующее: 

# Automatically added by buildreq on Thu Jul 13 2006 (-bi)
BuildRequires: cpio tcl tk

После этого результат поиска зависимостей стал существенно лучше:

Requires: sh, tcl(BWidget), tcl(Tk), tcl(base64), tcl(des), tcl(dns),
tcl(http),
tcl(md4), tcl(md5), tcl(msgcat), tcl(puretclparser), tcl(sha1), tcl(textutil),
tcl(tls), tk

Насколько я понял, для поиска зависимостей tcl не обязательно, чтобы в
сборочной
среде были тоже установлены все требуемые пакеты (что необходимо, например, для
perl)?
------- Comment #4 From 2006-07-13 22:07:53 -------
нет, необязательно.
fixed in -alt2